What Software Do I Need to Use the App

You need to ensure you have the most recent version of our app and upto date software on the device itself to enjoy using the best features of our app.

Android – Version 6.16.28 of software and Android 5 (Lollipop) and above.

iPhone –Version 6.9.20 f software and iOS 12 and above.